<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=utf-8">
  <title>alighsw.py</title>
  <link rel="stylesheet" href="pycco.css">
</head>
<body>
<div id='container'>
  <div id="background"></div>
  <div class='section'>
    <div class='docs'><h1>alighsw.py</h1></div>
  </div>
  <div class='clearall'>
  <div class='section' id='section-0'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-0'>#</a>
      </div>
      <p>Program which recreates local Smith Waterman alignment.
Currently we support the following 1 function:</p>
<ol>
<li><strong>Align_sw</strong> - Call the functions of alighsw_lib (jump to section in   <a href="alighsw_lib.html">alighsw_lib.py</a> )</li>
</ol>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span></span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-1'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-1'>#</a>
      </div>
      <p>defined in  <a href="alighsw_lib.html">alighsw_lib.py</a></p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="kn">from</span> <span class="nn">align.alighsw_lib</span> <span class="kn">import</span> <span class="n">smith_waterman_algorithm</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-2'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-2'>#</a>
      </div>
      <h3><span id="align_sw" href="align_sw"> Align_sw </span></h3>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="k">def</span> <span class="nf">align_sw</span><span class="p">(</span><span class="n">secuencia_1</span><span class="p">,</span> <span class="n">secuencia_2</span><span class="p">,</span> <span class="n">match</span><span class="p">,</span> <span class="n">gap</span><span class="p">):</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-3'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-3'>#</a>
      </div>
      <p>Call the functions of alighsw_lib</p>
<p>Arguments:</p>
<p>secuencia_1 {[type]} &ndash; sequence one</p>
<p>secuencia_2 {[type]} &ndash; sequence two</p>
<p>match {[type]} &ndash; punctuation if there is match</p>
<p>gap {[type]} &ndash; punctuation if there is gap</p>
<p>Returns:</p>
<p>[list] &ndash; smith waterman algorithm</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="k">return</span> <span class="n">smith_waterman_algorithm</span><span class="p">(</span><span class="n">secuencia_1</span><span class="p">,</span> <span class="n">secuencia_2</span><span class="p">,</span> <span class="n">match</span><span class="p">,</span> <span class="n">gap</span><span class="p">)</span>

</pre></div>
    </div>
  </div>
  <div class='clearall'></div>
</div>
</body>
